diff --git a/templates/pages/download/linux/debian.html b/templates/pages/download/linux/debian.html
index 77c4333..fe6a0be 100644
--- a/templates/pages/download/linux/debian.html
+++ b/templates/pages/download/linux/debian.html
@@ -17,7 +17,7 @@ Debian includes PostgreSQL by default. To install PostgreSQL on
 Debian, use the <i>apt-get</i> (or other apt-driving) command:
 </p>
 <code>
-apt-get install postgresql-9.4
+apt-get install postgresql-9.5
 </code>
 <p>
 The repository contains many different packages including third party
@@ -25,11 +25,11 @@ addons. The most common and important packages are (substitute the
 version number as required):
 </p>
 <ul>
- <li>postgresql-client-9.4 - client libraries and client binaries</li>
- <li>postgresql-9.4 - core database server</li>
- <li>postgresql-contrib-9.4 - additional supplied modules</li>
+ <li>postgresql-client-9.5 - client libraries and client binaries</li>
+ <li>postgresql-9.5 - core database server</li>
+ <li>postgresql-contrib-9.5 - additional supplied modules</li>
  <li>libpq-dev - libraries and headers for C language frontend development</li>
- <li>postgresql-server-dev-9.4 - libraries and headers for C language backend development</li>
+ <li>postgresql-server-dev-9.5 - libraries and headers for C language backend development</li>
  <li>pgadmin3 - pgAdmin III graphical administration utility</li>
 </ul>
 
diff --git a/templates/pages/download/linux/redhat.html b/templates/pages/download/linux/redhat.html
index 9bfa19a..186b5cf 100644
--- a/templates/pages/download/linux/redhat.html
+++ b/templates/pages/download/linux/redhat.html
@@ -117,7 +117,7 @@ and install it with commands like:
 </p>
 <p>
 <code>
-yum install http://yum.postgresql.org/9.4/redhat/rhel-6-x86_64/pgdg-redhat94-9.4-1.noarch.rpm
+yum install http://yum.postgresql.org/9.5/redhat/rhel-7-x86_64/pgdg-redhat95-9.5-1.noarch.rpm
 </code>
 </p>
 <p>
@@ -126,16 +126,16 @@ same way as the ones included in the distribution.
 </p>
 <p>
 <code>
-yum install postgresql94-server postgresql94-contrib<br/>
-service postgresql-9.4 initdb<br/>
-chkconfig postgresql-9.4 on
+yum install postgresql95-server postgresql95-contrib<br/>
+service postgresql-9.5 initdb<br/>
+chkconfig postgresql-9.5 on
 </code>
 or, on Fedora 19 and other later derived distributions:<br />
 <code>
-yum install postgresql94-server postgresql94-contrib<br/>
-/usr/pgsql-9.4/bin/postgresql94-setup initdb<br/>
-systemctl enable postgresql-9.4.service<br/>
-systemctl start postgresql-9.4.service
+yum install postgresql95-server postgresql95-contrib<br/>
+/usr/pgsql-9.5/bin/postgresql95-setup initdb<br/>
+systemctl enable postgresql-9.5.service<br/>
+systemctl start postgresql-9.5.service
 </code>
 </p>
 <p>
@@ -144,10 +144,10 @@ PostgreSQL yum repository follows the same standard as the ones included
 in the main repositories, but include the version number, such as:
 </p>
 <ul>
- <li>postgresql94</li>
- <li>postgresql94-server</li>
- <li>postgresql94-contrib</li>
- <li>pgadmin3_94</li>
+ <li>postgresql95</li>
+ <li>postgresql95-server</li>
+ <li>postgresql95-contrib</li>
+ <li>pgadmin3_95</li>
 </ul>
 
 <h2>Direct RPM download</h2>
diff --git a/templates/pages/download/linux/ubuntu.html b/templates/pages/download/linux/ubuntu.html
index c4833e3..b4dd989 100644
--- a/templates/pages/download/linux/ubuntu.html
+++ b/templates/pages/download/linux/ubuntu.html
@@ -16,7 +16,7 @@ Ubuntu includes PostgreSQL by default. To install PostgreSQL on
 Ubuntu, use the <i>apt-get</i> (or other apt-driving) command:
 </p>
 <code>
-apt-get install postgresql-9.4
+apt-get install postgresql-9.5
 </code>
 <p>
 The repository contains many different packages including third party
@@ -24,11 +24,11 @@ addons. The most common and important packages are (substitute the
 version number as required):
 </p>
 <ul>
- <li>postgresql-client-9.4 - client libraries and client binaries</li>
- <li>postgresql-9.4 - core database server</li>
- <li>postgresql-contrib-9.4 - additional supplied modules</li>
+ <li>postgresql-client-9.5 - client libraries and client binaries</li>
+ <li>postgresql-9.5 - core database server</li>
+ <li>postgresql-contrib-9.5 - additional supplied modules</li>
  <li>libpq-dev - libraries and headers for C language frontend development</li>
- <li>postgresql-server-dev-9.4 - libraries and headers for C language backend development</li>
+ <li>postgresql-server-dev-9.5 - libraries and headers for C language backend development</li>
  <li>pgadmin3 - pgAdmin III graphical administration utility</li>
 </ul>
 
